<?php

namespace App\Model\Database\Entity;

use Doctrine\ORM\Mapping as ORM;
use App\Model\Database\Entity\Attributes\TId;

/**
 * @ORM\Entity(repositoryClass="App\Model\Database\Repository\WordClassRepository")
 * @ORM\HasLifecycleCallbacks
 * 
 * @property int $id
 * @property String $name
 * 
 */
class WordClass extends AbstractEntity 
{

    use Tid;

    public function __construct($id,$name)
    {
    	$this->id = $id;
	$this->name = $name;
    }  
    
    /**
     * @ORM\Column(type="string")
     */
    protected $name;

    public function getName()
    {
	return $this->id;
    }

    public function setName($name)
    {
    	$this->name = $name;
	return $this;
    }
}

